TermsParams (Solr 3.6.2 API)
Keywords: org.apache.solr.common.params.TermsParams interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.common.params
Interface TermsParams

    public interface TermsParams

Nested Class Summary
`static class` | `TermsParams.TermsRegexpFlag`

Field Summary
`static String` | `TERMS` The component name.
`static String` | `TERMS_FIELD` Required.
`static String` | `TERMS_LIMIT` Optional.
`static String` | `TERMS_LOWER` Optional.
`static String` | `TERMS_LOWER_INCLUSIVE` Optional.
`static String` | `TERMS_MAXCOUNT` Optional.
`static String` | `TERMS_MINCOUNT` Optional.
`static String` | `TERMS_PREFIX` Used for building up the other terms
`static String` | `TERMS_PREFIX_STR`
`static String` | `TERMS_RAW` Optional.
`static String` | `TERMS_REGEXP_FLAG`
`static String` | `TERMS_REGEXP_STR`
`static String` | `TERMS_SORT` Optional.
`static String` | `TERMS_SORT_COUNT`
`static String` | `TERMS_SORT_INDEX`
`static String` | `TERMS_UPPER` Optional.
`static String` | `TERMS_UPPER_INCLUSIVE` Optional.

Field Detail

### TERMS

    static final String TERMS

  The component name. Set to true to turn on the TermsComponent

  See Also:
    Constant Field Values

### TERMS_PREFIX

    static final String TERMS_PREFIX

  Used for building up the other terms

  See Also:
    Constant Field Values

### TERMS_FIELD

    static final String TERMS_FIELD

  Required. Specify the field to look up terms in.

  See Also:
    Constant Field Values

### TERMS_LOWER

    static final String TERMS_LOWER

  Optional. The lower bound term to start at. The TermEnum will start at the next term after this term in the dictionary. If not specified, the empty string is used

  See Also:
    Constant Field Values

### TERMS_UPPER

    static final String TERMS_UPPER

  Optional. The term to stop at.

  See Also:
    `TERMS_UPPER_INCLUSIVE`, Constant Field Values

### TERMS_UPPER_INCLUSIVE

    static final String TERMS_UPPER_INCLUSIVE

  Optional. If true, include the upper bound term in the results. False by default.

  See Also:
    Constant Field Values

### TERMS_LOWER_INCLUSIVE

    static final String TERMS_LOWER_INCLUSIVE

  Optional. If true, include the lower bound term in the results, otherwise skip to the next one. True by default.

  See Also:
    Constant Field Values

### TERMS_LIMIT

    static final String TERMS_LIMIT

  Optional. The number of results to return. If not specified, looks for `CommonParams.ROWS`. If that's not specified, uses 10.

  See Also:
    Constant Field Values

### TERMS_PREFIX_STR

    static final String TERMS_PREFIX_STR

See Also:
  Constant Field Values

### TERMS_REGEXP_STR

    static final String TERMS_REGEXP_STR

See Also:
  Constant Field Values

### TERMS_REGEXP_FLAG

    static final String TERMS_REGEXP_FLAG

See Also:
  Constant Field Values

### TERMS_MINCOUNT

    static final String TERMS_MINCOUNT

  Optional. The minimum value of docFreq to be returned. 1 by default

  See Also:
    Constant Field Values

### TERMS_MAXCOUNT

    static final String TERMS_MAXCOUNT

  Optional. The maximum value of docFreq to be returned. -1 by default means no boundary

  See Also:
    Constant Field Values

### TERMS_RAW

    static final String TERMS_RAW

  Optional. If true, return the raw characters of the indexed term, regardless of if it is readable. For instance, the index form of numeric numbers is not human readable. The default is false.

  See Also:
    Constant Field Values

### TERMS_SORT

    static final String TERMS_SORT

  Optional. If sorting by frequency is enabled. Defaults to sorting by count.

  See Also:
    Constant Field Values

### TERMS_SORT_COUNT

    static final String TERMS_SORT_COUNT

See Also:
  Constant Field Values

### TERMS_SORT_INDEX

    static final String TERMS_SORT_INDEX

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD